# Uses of Interface
org.eclipse.ecf.filetransfer.events.socket.ISocketEventSource

Packages that use ISocketEventSource
Package
Description
org.eclipse.ecf.filetransfer.events.socket
org.eclipse.ecf.provider.filetransfer.events.socket

## Uses of ISocketEventSource in org.eclipse.ecf.filetransfer.events.socket

Methods in org.eclipse.ecf.filetransfer.events.socket that return ISocketEventSource
Modifier and Type
Method
Description
`ISocketEventSource`
ISocketEvent.`getSource()`

## Uses of ISocketEventSource in org.eclipse.ecf.provider.filetransfer.events.socket

Classes in org.eclipse.ecf.provider.filetransfer.events.socket that implement ISocketEventSource
Modifier and Type
Class
Description
`class`
`SocketEventSource`
Methods in org.eclipse.ecf.provider.filetransfer.events.socket that return ISocketEventSource
Modifier and Type
Method
Description
`ISocketEventSource`
AbstractSocketEvent.`getSource()`
Methods in org.eclipse.ecf.provider.filetransfer.events.socket with parameters of type ISocketEventSource
Modifier and Type
Method
Description
`static Socket`
SocketEventCreateUtil.`createSocket(ISocketListener spyListener, ISocketEventSource socketEventSource, INonconnectedSocketFactory unconnectedFactory, InetSocketAddress remoteInetAddress, InetSocketAddress localInetAddress, int timeout)`
Constructors in org.eclipse.ecf.provider.filetransfer.events.socket with parameters of type ISocketEventSource
Modifier
Constructor
Description
`protected`
`AbstractSocketEvent(ISocketEventSource source, Socket factorySocket, Socket wrappedSocket)`
``
`SocketClosedEvent(ISocketEventSource source, Socket factorySocket, Socket wrappedSocket)`
``
`SocketConnectedEvent(ISocketEventSource source, Socket factorySocket, Socket wrappedSocket)`
``
`SocketCreatedEvent(ISocketEventSource source, Socket socket)`